Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## convert.xml.dtd.om
Class AttributeDefault

    java.lang.Object
      convert.xml.dtd.om.AttributeDefault

Direct Known Subclasses:
  AttributeDefaultRef, DefaultValue, FixedValue, ImpliedValue, RequiredValue

    public abstract class AttributeDefault

extends java.lang.Object

Field Summary
`static int` | `ATTRIBUTE_DEFAULT_REF`
`static int` | `DEFAULT_VALUE`
`static int` | `FIXED_VALUE`
`static int` | `IMPLIED_VALUE`
`static int` | `REQUIRED_VALUE`

Constructor Summary
`AttributeDefault()`

Method Summary
`abstract void` | `accept(AttributeDefaultVisitor visitor)`
`java.lang.String` | `getDefaultValue()`
`java.lang.String` | `getFixedValue()`
`abstract int` | `getType()`
`boolean` | `isRequired()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_VALUE

    public static final int DEFAULT_VALUE

See Also:
  Constant Field Values

### FIXED_VALUE

    public static final int FIXED_VALUE

See Also:
  Constant Field Values

### IMPLIED_VALUE

    public static final int IMPLIED_VALUE

See Also:
  Constant Field Values

### REQUIRED_VALUE

    public static final int REQUIRED_VALUE

See Also:
  Constant Field Values

### ATTRIBUTE_DEFAULT_REF

    public static final int ATTRIBUTE_DEFAULT_REF

See Also:
  Constant Field Values

Constructor Detail

### AttributeDefault

    public AttributeDefault()

Method Detail

### getType

    public abstract int getType()

### accept

    public abstract void accept(AttributeDefaultVisitor visitor)
                         throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### isRequired

    public boolean isRequired()

### getDefaultValue

    public java.lang.String getDefaultValue()

### getFixedValue

    public java.lang.String getFixedValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD